Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create Scheduled Job

Schedules a new job to modify item status, price, tags, categories, or collections at a specified future date. Supports products, tags, images, prices, and variants.

POST/api/v1/{team_slug}/{app_slug}/schedule
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Scheduling data

add_categoriesstring[]
add_collectionsstring[]
add_tagsstring[]
execute_atstringrequired

Execute at is the date when the product should change date. This date need to follow the format YYYY-MM-DD

item_idstringrequired
item_typestringrequired
Allowed:producttagimagepricevariant
remove_categoriesstring[]
remove_collectionsstring[]
remove_tagsstring[]
to_market_idstring

Market ID for market status change. Only used when item_type is product

to_market_statusstring

Target market status. Only used when item_type is product

Allowed:activeinactivedraftarchived
to_on_saleboolean

Used to change if a price is on sale on a specific date. Only used when item_type is price

to_price_with_taxinteger

Used to change the price on a specific date. Only used when item_type is price

to_sale_price_with_taxinteger

Used to change the sale price on a specific date. Only used when item_type is price

to_start_sale_timestampstring

Used to set the start sale timestamp on a specific date. Only used when item_type is price. Expects RFC3339 format.

to_statusstring
Allowed:activeinactivearchiveddraft
to_stop_sale_timestampstring

Used to set the stop sale timestamp on a specific date. Only used when item_type is price. Expects RFC3339 format.

to_store_group_idstring

Store group ID for market status change. Only used when item_type is product

Responses
200

Job is scheduled

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Jobrequired
Show properties
add_category_namesstring[]
add_collection_namesstring[]
add_tag_namesstring[]
execute_atstring

Date when the job should run

finished_atstring | null

If a job is finished will this timestamp be filled

group_idstring
idstring
item_idstring
item_namestring
item_typestring
remove_category_namesstring[]
remove_collection_namesstring[]
remove_tag_namesstring[]
to_amount_cents_with_taxinteger | null
to_market_idstring
to_market_statusstring
to_on_saleboolean | null
to_sale_amount_cents_with_taxinteger | null
to_start_sale_timestampstring
to_statusstring | null
to_stop_sale_timestampstring
to_store_group_idstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/schedule' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "add_categories": [
    "string"
  ],
  "add_collections": [
    "string"
  ],
  "add_tags": [
    "string"
  ],
  "execute_at": "string",
  "item_id": "string",
  "item_type": "product",
  "remove_categories": [
    "string"
  ],
  "remove_collections": [
    "string"
  ],
  "remove_tags": [
    "string"
  ],
  "to_market_id": "string",
  "to_market_status": "active",
  "to_on_sale": true,
  "to_price_with_tax": 0,
  "to_sale_price_with_tax": 0,
  "to_start_sale_timestamp": "string",
  "to_status": "active",
  "to_stop_sale_timestamp": "string",
  "to_store_group_id": "string"
}'
Response
{
  "data": {
    "add_category_names": [
      "string"
    ],
    "add_collection_names": [
      "string"
    ],
    "add_tag_names": [
      "string"
    ],
    "execute_at": "string",
    "finished_at": "string",
    "group_id": "string",
    "id": "string",
    "item_id": "string",
    "item_name": "string",
    "item_type": "string",
    "remove_category_names": [
      "string"
    ],
    "remove_collection_names": [
      "string"
    ],
    "remove_tag_names": [
      "string"
    ],
    "to_amount_cents_with_tax": 0,
    "to_market_id": "string",
    "to_market_status": "string",
    "to_on_sale": true,
    "to_sale_amount_cents_with_tax": 0,
    "to_start_sale_timestamp": "string",
    "to_status": "string",
    "to_stop_sale_timestamp": "string",
    "to_store_group_id": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}